import { type AxiosResponse } from 'axios';
import { type EmailInput, type BaseResponse, type SmsInput } from '../types';
declare class InfobipSmsAPI {
    private readonly _baseApi;
    constructor({ baseUrl, apiToken }: {
        baseUrl: string;
        apiToken: string;
    });
    send: (message: SmsInput) => Promise<AxiosResponse<BaseResponse>>;
}
declare class InfobipEmailAPI {
    private readonly _baseApi;
    constructor({ baseUrl, apiToken }: {
        baseUrl: string;
        apiToken: string;
    });
    send: (message: EmailInput) => Promise<AxiosResponse<BaseResponse>>;
}
export declare class InfobipClient {
    readonly smsApi: InfobipSmsAPI;
    readonly emailApi: InfobipEmailAPI;
    constructor({ baseUrl, apiToken }: {
        baseUrl: string;
        apiToken: string;
    });
}
export {};
